Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Ruby (Rack) application could not be started #1938

Closed
SilverNightFall opened this Issue · 1 comment

2 participants

@SilverNightFall

I am getting this error on my website

A source file that the application requires, is missing.

It is possible that you didn't upload your application files correctly. Please check whether all your application files are uploaded.

A required library may not installed. Please install all libraries that this application requires.

Error message:
no such file to load -- bundler/setup
Exception class:
LoadError
Application root:
/var/www/sample_app/current
Backtrace:
# File Line Location
0 /usr/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb 36 in gem_original_require'
1 /usr/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb 36 in
require'
2 /var/www/sample_app/releases/20120521154812/config/boot.rb 6

3 /usr/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb 36 in gem_original_require'
4 /usr/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb 36 in
require'
5 /var/www/sample_app/releases/20120521154812/config/application.rb 1

6 /usr/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb 36 in gem_original_require'
7 /usr/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb 36 in
require'
8 /var/www/sample_app/releases/20120521154812/config/environment.rb 2

9 /usr/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb 36 in gem_original_require'
10 /usr/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb 36 in
require'
11 config.ru 3

12 /usr/lib/ruby/1.8/rack/builder.rb 46 in instance_eval'
13 /usr/lib/ruby/1.8/rack/builder.rb 46 in
initialize'
14 config.ru 1 in `new'
15 config.ru 1

@indirect
Owner

You don't have Bundler installed. You need to install it.

@indirect indirect closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.